#!/bin/ash
echo save adept data
if [ -f /mnt/mmc0p3/.adept/device.xml ]; then
	cp /mnt/mmc0p3/.adept/device.xml /tmp/device.xml
fi
if [ -f /mnt/mmc0p3/.adept/devicesalt ]; then
	cp /mnt/mmc0p3/.adept/devicesalt /tmp/devicesalt
fi

echo format mmcblk0p3 to clean rwdata
umount /dev/mmcblk0p3
mkfs.ext3 /dev/mmcblk0p3

echo restore adept data
mount /dev/mmcblk0p3 /mnt/mmc0p3
if [ -f /tmp/device.xml ]; then
	mkdir /mnt/mmc0p3/.adept
	cp /tmp/device.xml /mnt/mmc0p3/.adept/device.xml
fi
if [ -f /tmp/devicesalt ]; then
	mkdir /mnt/mmc0p3/.adept
	cp /tmp/devicesalt /mnt/mmc0p3/.adept/devicesalt
fi

echo format mmcblk0p4 to clean private storage
umount /dev/mmcblk0p4
mkfs.ext3 /dev/mmcblk0p4

echo copy preload content
mount /dev/mmcblk0p2 /mnt/mmc0p2
if [ -d mnt/mmc1p1/qdutil/upfw/preload ]; then
	cp -r mnt/mmc1p1/qdutil/upfw/preload/ /mnt/mmc0p2/
fi

exit 0